## python-httpsig 1.3.0

=== requirements.txt ===
pycryptodome==3.6.1
six

## python-httpsig 1.2.0

=== debian/changelog ===
python-httpsig (1.2.0-2) unstable; urgency=medium

  * Add missing python3-six dependency (Closes: #903206).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 Aug 2018 15:56:54 +0000

python-httpsig (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #901347).
  * Rewrite package to use Cryptodome namespace instead of Crypto
    namespace until BTS issue #886291 with cryptodome is fixed.
    Added 2001-cryptodomex-namespace.patch for this.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Jun 2018 08:47:56 +0000

=== debian/control ===
Source: python-httpsig
Priority: optional
Section: python
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-six,
               python3-pycryptodome
Standards-Version: 4.1.4
Homepage: https://github.com/ahknight/httpsig
Vcs-Git: https://salsa.debian.org/pere/python-httpsig.git
Vcs-Browser: https://salsa.debian.org/pere/python-httpsig

Package: python3-httpsig
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: sign HTTP requests (IETF HTTP Signatures) - Python 3 version of the package
 Sign HTTP requests with secure signatures according to the draft IETF HTTP
 Signatures specification.

## python-httpsig 1.3.0

=== debian/changelog ===
python-httpsig (1.3.0-3) unstable; urgency=medium

  * Added missing runtime dependency
    python3-pkg-resources (Closes: #1106181).
  * Updated Standards-Version from 4.6.2 to 4.7.2.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 May 2025 09:35:41 +0200

python-httpsig (1.3.0-2) unstable; urgency=medium

  * Corrected d/watch to work with latest github tag page.
  * Updated Standards-Version from 4.3.0 to 4.6.2.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Jan 2023 07:42:17 +0100

python-httpsig (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
    - Dropped obsolete 1000-pycryptodome-relaxed-dep.patch.
    - Refreshed 2000-known-version.patch and
      2001-cryptodomex-namespace.patch.
  * Updated Standards-Version from 4.1.4 to 4.3.0.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Jan 2019 09:01:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools-scm,
                python3-six,
                python3-pycryptodome
-Standards-Version: 4.1.4
+Standards-Version: 4.7.2
 Homepage: https://github.com/ahknight/httpsig
 Vcs-Git: https://salsa.debian.org/pere/python-httpsig.git
 Vcs-Browser: https://salsa.debian.org/pere/python-httpsig
@@ -17,7 +17,8 @@
 Package: python3-httpsig
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-pkg-resources
 Description: sign HTTP requests (IETF HTTP Signatures) - Python 3 version of the package
  Sign HTTP requests with secure signatures according to the draft IETF HTTP
  Signatures specification.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf httpsig.egg-info

override_dh_install_auto:
	dh_install_auto
	find debian -type f -name *.pyc -delete
